Skip to main content

List Product Collections

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.ghl_list_product_collections

List product collections

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-ghl-list-product-collections-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_list_product_collections",
"arguments": {
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123",
"limit": 1,
"offset": 1,
"name": "name_example"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"limit": {
"type": "number"
},
"offset": {
"type": "number"
},
"name": {
"type": "string"
}
},
"required": []
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-list-product-collections-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_list_product_collections",
"arguments": {
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123",
"limit": 1,
"offset": 1,
"name": "name_example"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.ghl_list_product_collections executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}